Composer shortcuts issues when using languages other than english

2017-10-15 03:56 PM - Daniel Rodriguez

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.5 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25179

Description

Shortcuts like DEL, control+C or Control+V aren't working in the Map Composer when using Spanish language. When using English they

work as usual.

Related issues:

Duplicated by QGIS Application - Bug report # 21525: delete print composer it... Closed 2019-03-08

Duplicated by QGIS Application - Bug report # 19281: Delete does not remove i... Closed 2018-06-27

Associated revisions

Revision 7cc05288 - 2019-03-09 01:36 PM - Jürgen Fischer

Del doesn't need to be translated. Qt translates it automatically, but a wrong translation breaks the key (eg. Löschen instead of Entf in German); fixes

#17281

History

#1 - 2017-10-16 12:21 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Priority changed from Low to Normal

- Status changed from Open to Feedback

Only true for Spanish? or also other languages?

#2 - 2017-10-16 04:55 PM - Daniel Rodriguez

It depends. I've check some other languages. In catalan is the same as spanish. In german and danish cntrl+C and cntrl+V work, but DEL does not.

#3 - 2017-10-16 04:57 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Subject changed from Composer shortcuts not working when using spanish language. to Composer shortcuts issues when using languages other than 

english

#4 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.
#5 - 2019-03-08 11:25 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.18.13 to 3.4.5

Still true on 3.4.5 and also for other languages.

#6 - 2019-03-08 11:29 AM - João Gaspar

I confirm this behaviour in some languages.

Tested on Windows QGIS 3.4.5 and 3.6 with some languages:

Don't Work on:

    -  German

    -  Spanish

Work:

    -  Portuguese

    -  Bulgarian

    -  Italian

    -  Arabian

    -  Estonian

#7 - 2019-03-09 11:07 AM - João Gaspar

As a workaround try shift+del is working on German language

#8 - 2019-03-09 01:34 PM - Jürgen Fischer

- Duplicated by Bug report #21525: delete print composer items in german qgis 3.4.5 added

#9 - 2019-03-09 01:37 PM - Jürgen Fischer

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|7cc052885f6faee5d1b2259fd36b7feee786fa7e.

#10 - 2019-03-09 02:11 PM - Jürgen Fischer

- Duplicated by Bug report #19281: Delete does not remove items from composer for certain locales added
